Regex::Options - Crystal 1.11.2

# enum Regex::Options

##
Overview

Represents compile options passed to `Regex.new`.

This type is intended to be renamed to `CompileOptions`. Please use that name.

##
Defined in:

regex.cr

##
Enum Members

IGNORE_CASE = `1_u64`

  Case insensitive match.

MULTILINE = `6_u64`

  Multiline matching.

  Equivalent to `MULTILINE | DOTALL` in PCRE and PCRE2.

DOTALL = `2_u64`
EXTENDED = `8_u64`

  Ignore white space and `#` comments.

ANCHORED = `16_u64`

  Force pattern anchoring at the start of the subject.

DOLLAR_ENDONLY = `32_u64`
FIRSTLINE = `262144_u64`
ENDANCHORED = `2147483648_u64`

  Force pattern anchoring at the end of the subject.

  Unsupported with PCRE.

NO_UTF_CHECK = `8192_u64`

  Do not check the pattern for valid UTF encoding.

MATCH_INVALID_UTF = `4294967296_u64`

  Enable matching against subjects containing invalid UTF bytes. Invalid bytes never match anything. The entire subject string is effectively split into segments of valid UTF.

  Read more in the PCRE2 documentation.

  When this option is set, `MatchOptions::NO_UTF_CHECK` is ignored at match time.

  Unsupported with PCRE.

  NOTE This option was introduced in PCRE2 10.34 but a bug that can lead to an infinite loop is only fixed in 10.36 (https://github.com/PCRE2Project/pcre2/commit/e0c6029a62db9c2161941ecdf459205382d4d379).

None = `0_u64`
All = `6980118591_u64`

##
Instance Method Summary

- #anchored?
- #dollar_endonly?
- #dotall?
- #dupnames?
- #endanchored?
- #extended?
- #firstline?
- #ignore_case?
- #match_invalid_utf?
- #multiline?
- #no_utf8_check?
- #no_utf_check?
- #none?
- #ucp?
- #utf_8?

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, |(other : self) : self |, ~ : self ~, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, inspect(io : IO) : Nil inspect, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i128 : Int128 to_i128, to_i128! : Int128 to_i128!, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u128 : UInt128 to_u128, to_u128! : UInt128 to_u128!, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, value : Int value

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) new, parse(string : String) : self parse

### Class methods inherited from struct `Enum`

each(& : self -> ) each, from_value?(value : Int) : self | Nil from_value?, names : Array(String) names, parse?(string : String) : self | Nil parse?, valid?(value : self) : Bool valid?, values : Array(self) values

### Macros inherited from struct `Enum`

[](*values) [], flags(*values) flags

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Instance Method Detail

def anchored? #
def dollar_endonly? #
def dotall? #
def dupnames? #
def endanchored? #
def extended? #
def firstline? #
def ignore_case? #
def match_invalid_utf? #
def multiline? #
def no_utf8_check? #
def no_utf_check? #
def none? #
def ucp? #
def utf_8? #